/* Global form styling, gravity , woocommerce */
:root {
    --input-mh: 4.1rem;
    --input-br: .4rem;
}


form{
    label { display: block; margin: 0 0 .5rem 0; line-height: 1.2; }
    label * { font: inherit; color: inherit; text-decoration: none; }

    input[type=text], input[type=number], input[type=email], input[type=tel], input[type=url], input[type=password], input[type=search], input[type="file"], textarea, select { 
        --fs: clamp(1.4rem, 1.5vw, 1.6rem); --p: 0 1.4rem; --br: var(--input-br); --bg-clr: transparent; --clr: var(--clr-text); --placeholder-clr: rgba(0, 0, 0, .4); --border: 1px solid var(--clr-border); --focus-border: 1px solid rgb(var(--clr-dark-rgb), .6); color: var(--clr) !important; background-color: var(--bg-clr) !important; line-height: 1.2;
        font-family: var(--font-primary); display: block; width: 100%; min-height: var(--input-mh) !important; border: var(--border); border-radius: var(--br); font-size: var(--fs) !important; padding: var(--p) !important; transition: border-color var(--ts-15) ease; 

        &::placeholder{ color: var(--placeholder-clr); }
        &:focus, &:focus-within, &:active{ border: var(--focus-border); outline: none !important; }
    }
    textarea { --p: 1rem 1.6rem; --max-height: 18rem; overflow: auto; vertical-align: top; width: 100%; resize: vertical;  }

    select { --p: .9rem; --br: var(--input-br); cursor: pointer; outline: none; display: block; width: 100%; min-height: var(--input-mh); padding: var(--p); font-family: var(--font-primary); color: var(--clr-text); background-color: #fff; border-radius: var(--br); -moz-appearance: none; -webkit-appearance: none; -ms-appearance: none; -o-appearance: none; appearance: none; }

    input[type=checkbox], input[type=radio] { min-width: 1.15em; width: 1.15em; height: 1.15em; margin-top: 0.15em; vertical-align: top; background-color: #fff; background-repeat: no-repeat; background-position: center; background-size: contain; border: 1px solid rgba(0,0,0,.25); -webkit-appearance: none; -moz-appearance: none; appearance: none; }
    input[type=checkbox] { border-radius: 0.35em; }
    input[type=radio] { border-radius: 50%; }
    input[type=checkbox]:checked, input[type=radio]:checked { --check-bg-clr: var(--clr-primary); --check-border-color: var(--clr-primary); background-color: var(--check-bg-clr); border-color: var(--check-border-color); }
    input[type=radio]:checked { background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='-4 -4 8 8'%3e%3ccircle r='2' fill='%23fff'/%3e%3c/svg%3e"); }
    input[type=checkbox]:checked { background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 20 20'%3e%3cpath fill='none' stroke='%23fff' stroke-linecap='round' stroke-linejoin='round' stroke-width='3' d='m6 10 3 3 6-6'/%3e%3c/svg%3e"); }
    input[type=checkbox][disabled], input[type=radio][disabled] { cursor: default; opacity: .5; }

    input[type=range] { --bg-clr: #ccc; pointer-events: none; -webkit-appearance: none; appearance: none; width: 100%; }
    input[type=range]::-webkit-slider-container { border-radius: 2rem; height: .6rem; background: var(--bg-clr); background-image: linear-gradient(90deg,var(--bg-clr) var(--minPercent),var(--clr-primary) var(--minPercent),var(--clr-primary) var(--maxPercent),var(--bg-clr) var(--maxPercent)); }
    input[type=range]::-webkit-slider-thumb { z-index: 5; position: relative; pointer-events: all; -webkit-appearance: none; appearance: none; width: 2.1rem; height: 2.1rem; background: #fff; border: .6rem solid var(--clr-primary); cursor: pointer; border-radius: 50%; }
    input[type=range]::-moz-range-thumb { -webkit-appearance: none; appearance: none; width: 1.4rem; height: 1.4rem; background: #fff; border: .6rem solid var(--clr-primary); cursor: pointer; border-radius: 50%;  }
}

/*** ---------- Gravity Form ---------- ***/
.gform_wrapper.gravity-theme{ --clr-label: var(--clr-text);
    .gform_ajax_spinner { --size: 2.4rem; width: var(--size) !important; height: var(--size) !important; min-width: var(--size) !important; min-height: var(--size) !important; margin-left: 2rem; }
    .gfield_description, .gform_required_legend { display: none; }

    .gform_body .gform_fields{ --gap: 1.2rem; grid-column-gap: var(--gap); grid-row-gap: calc(var(--gap) * 1.5); 
        .gfield_label { color: var(--clr-label); display: block; font-size: clamp(1.4rem, 1.5vw, 1.6rem); margin: 0; margin-bottom: .6rem; line-height: 1.2; }
        .gfield_required{ display: none; }

        .ginput_container_consent{ display: flex; align-items: center; gap: .8rem; cursor: pointer; }
        .ginput_container_consent input{ margin-top: 0; }
        .ginput_container_consent label{ color: var(--clr-label); margin-bottom: 0; font-size: 1.4rem; line-height: 1; }
        .ginput_container_textarea { display: flex; } 
        .ginput_container_fileupload { --outline-color: rgba(0, 0, 0, 0.08); --outline-offset: 1rem; position: relative; text-align: center !important;
            input[type="file"] { --height: 8.2rem; height: var(--height); width: 100%; padding: 0 calc(var(--height) / 3) !important; text-align: center !important; line-height: var(--height); text-indent: 0 !important; direction: ltr !important; box-sizing: border-box !important;
                &::-webkit-file-upload-button { display: none !important; } 
                &::file-selector-button { display: none !important; }
                &::-ms-browse { display: none !important; }
            }
            .gfield_description { display: none; opacity: 0; }
            &::before{ content: ''; outline: 2px dashed var(--outline-color); border-radius: var(--br); position: absolute; top: var(--outline-offset); right: var(--outline-offset); bottom: var(--outline-offset); left: var(--outline-offset); pointer-events: none !important; }
            &:has(.validation_message--hidden-on-empty) input[type="file"]{ color: var(--placeholder-clr) !important; }
        }

        .mapit-link { display: none !important; }
    }
    .gform_footer, .gform_page_footer{ padding-top: 2.4rem !important; padding-bottom: 0 !important;
        button[type="submit"]{ width: 100%; margin: 0; }
    } 
    .gform_validation_errors { background-color: #c02b0a !important; padding: 1.6rem inherit 1.6rem 2rem !important; outline: none !important; border: none !important; 
        & h2{ color: #fff !important; }
    }
}
.gform_confirmation_wrapper .gform_confirmation_message { background-color: var(--clr-secondary) !important; padding: 1.4rem 1.8rem !important; border-radius: 0.8rem !important; color: #fff !important; font-weight: 500; }

@media(min-width: 768px){
    .gform_body .gform_fields{ --gap: 2rem; }
}

:is(.wpb-bg-clr--primary, .wpb-bg-clr--dark, [class*="wpb-bg-clr--gradient"]){ 
    form{
        input[type=text], input[type=number], input[type=email], input[type=tel], input[type=url], input[type=password], input[type=search], input[type=file], textarea, select { --clr: #FFFF; --bg-clr: var(--clr-dark-120); --placeholder-clr: rgba(255, 255, 255, .4); --border: 1px solid transparent; --focus-border: 1px solid #FFF1; }
    }
    .gform_wrapper.gravity-theme{ --clr-label: #FFF; }
    .gform_wrapper.gravity-theme .gform_body .gform_fields .ginput_container_fileupload { --outline-color: var(--clr-dark); }
}



.range-slider { display: grid; grid-template-columns: repeat(2, minmax(0, 1fr)); gap: 1rem; }
.range-slider .range-slider__input { grid-column: span 2; display: grid; grid-template-areas: "rangeInputs"; }
.range-slider .range-slider__input input { grid-area: rangeInputs; width: 100%; }
.range-slider .range-slider__min {}
.range-slider .range-slider__max { text-align: right; }

/* Select2 */
.select2-container { --p: 0 1.6rem; --br: var(--input-br); --hover-clr: #fff; --hover-bg: rgba(0,0,0,.5); --highlighted-color: #fff; --highlighted-bg: var(--clr-primary); }
.select2-container .select2-selection--single { display: flex; align-items: center; border-color: var(--clr-border); border-radius: var(--br); margin: 0; min-height: var(--input-mh); }
.select2-container .select2-selection--single { height: auto; padding: var(--p); }
.select2-container .select2-selection--single .select2-selection__rendered { padding-left: 0; font-size: 1.4rem; }
.select2-container .select2-selection--single .select2-selection__arrow { height: 100%; }
.select2-container--open .select2-dropdown { border-color: var(--clr-border); overflow: hidden;}
.select2-container--open .select2-dropdown--top { border-radius: var(--br) var(--br) 0 0; }
.select2-container--open .select2-dropdown--below { border-radius: 0 0 var(--br) var(--br); }
.select2-container--default .select2-search--dropdown { padding: .8rem; }  
.select2-container--default .select2-search--dropdown .select2-search__field { border-color: var(--clr-border); }
.select2-container--open .select2-dropdown--below .select2-search__field, .select2-container--open .select2-dropdown--above .select2-search__field { border-color: var(--clr-border); border-radius: var(--br); font-size: 1.4rem; height: auto; padding: 0 0.8rem; min-height: 3.5rem; }
.select2-container .select2-results__option { font-size: 1.6rem; }
.select2-container .select2-results__option[data-selected=true] { background-color: var(--hover-bg); color: var(--hover-clr); }
.select2-container .select2-results__option.select2-results__option--highlighted { background-color: var(--highlighted-bg); color: var(--highlighted-color); }

/* Form switch */
.form-switch { padding-left: 2.5em; }
.form-switch .form-check-input { width: 2em; margin-left: -2.5em; background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='-4 -4 8 8'%3e%3ccircle r='3' fill='rgba%280, 0, 0, 0.25%29'/%3e%3c/svg%3e"); background-position: left center; border-radius: 2em; transition: background-position var(--ts-15) ease; }
.form-switch .form-check-input:checked { background-position: right center; background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='-4 -4 8 8'%3e%3ccircle r='3' fill='%23fff'/%3e%3c/svg%3e"); }


/* Filtering */
.wf-filter-group.wf-filter-group--multiselect .wf-filter-group__body{ 
    --br: .6rem; --bg: #FFFF; --active-border: var(--clr-text); --hover-border: var(--clr-primary); 
    margin-bottom: 3.2rem; width: fit-content; margin-left: auto; margin-right: auto; display: flex; justify-content: center; align-items: center; gap: .8rem; flex-wrap: wrap; background-color: var(--bg);
    
    & > label{ --clr: var(--clr-heading); --mh: 5.2rem; position: relative; font-size: 1.6rem; display: inline-grid; place-items: center; font-weight: 500; padding: 0 2.5rem; min-height: var(--mh); border: 1px solid var(--clr-border); border-radius: var(--br); margin: 0; color: var(--clr); line-height: 1; cursor: pointer; transition: border var(--ts-duration) ease; }
    & > label:has(:not(input:checked)):hover{ border-color: var(--hover-border); }
    & > label:has(input:checked){ border-color: var(--active-border); }
    & > label input{ opacity: 0; position: absolute; top: 0; right: 0; bottom: 0; left: 0; width: 100%; height: 100%; border-radius: 0; cursor: pointer; }
}

@media(max-width: 767.98px){
    .wf-filter-group.wf-filter-group--multiselect{ display: none; }
}